import request from '@/utils/request'

// 获取地址列表
export function getAddress(parameter) {
  return request({
    url: '/api/address',
    method: 'get',
    params: parameter
  })
}

// 添加地址
export function addAddress(parameter) {
  return request({
    url: '/api/address',
    method: 'post',
    data: parameter
  })
}

// 编辑地址
export function putAddress(parameter) {
  return request({
    url: '/api/address',
    method: 'put',
    data: parameter
  })
}

// 删除地址
export function delAddress(parameter) {
  return request({
    url: '/api/address',
    method: 'delete',
    data: parameter
  })
}
